Enterprise API
Enterprise API is a feature that allows you to integrate Meshy's Enterprise capabilities into your own application. These API features are only available to users on our enterprise tier plan. In this section, you'll find all the information you need to get started with this API.
List Showcases
This endpoint allows you to search and return community showcase models that are available for download. You may return up to 10 maximum models in a single request, and each request will cost 1 credit.
Parameters
Optional attributes
- Name
- page_size
- Type
- integer
- Description
The number of showcase models to return. Must be a positive number between
1and10inclusive. Note that it is possible that the request may return fewer than the requested number of matching models if there are not enough matches found. No models will be returned if no matches are found. Default is3models ifpage_sizeis not provided.
- Name
- sort_by
- Type
- string
- Description
Method to sort the obtained search results. If not supplied, results will be sorted by creation time from most recent to earliest (
-created_at).+created_at: Sort by creation time in ascending order.-created_at: Sort by creation time in descending order.+updated_at: Sort by update time in ascending order.-updated_at: Sort by update time in descending order.+downloads: Sort by number of downloads in ascending order.-downloads: Sort by number of downloads in descending order.
- Name
- search
- Type
- string
- Description
Text to search for within community published (CC0) model names. If not provided, then top overall community models (based on
sort_by) will be returned.
- Name
- format
- Type
- string
- Description
Desired 3d model format for returned results. All models retrieved will be in the specified format. Must be one of the below optional values. If not provided, will be
glbby default.glb: glb format.fbx: fbx format.obj: obj format.usdz: usdz format.
- Name
- showcase_type
- Type
- string
- Description
Desired model type for returned results. All models retrieved will be in the specified type. Must be one of the below optional values. If not provided, will be
allby default.all: All showcase models.animated: Animated showcase models.static: Static showcase models.
Returns
- Name
- id
- Type
- string
- Description
The unique identifier for the showcase model. Although we use k-sortable UUID as the implementation detail for task id, you should not assume any format for the id.
- Name
- result_id
- Type
- string
- Description
The unique identifier for the returned model result. This ID is linked to the model and can be used directly in other API tasks such as remesh.
- Name
- model_url
- Type
- object
- Description
The URL of the downloadable 3D model with textures. Default returns glb format.
- Name
- conversion_status
- Type
- string
- Description
The filetype conversion status of the returned models.
<empty string>: Not converted (default glb).success: Conversion successful.failed: Conversion failed.
- Name
- community_url
- Type
- string
- Description
The community browsing link of the showcase model.
- Name
- author
- Type
- string
- Description
The author of the showcase model.
- Name
- topology
- Type
- string
- Description
The topology of the showcase model (
quadortriangle).
- Name
- name
- Type
- string
- Description
The name of the showcase model.
- Name
- object_prompt
- Type
- string
- Description
The description of the showcase model.
- Name
- categories
- Type
- array
- Description
The categories of the showcase model.
- Name
- tags
- Type
- array
- Description
The tags of the showcase model.
- Name
- mode
- Type
- string
- Description
The mode of the showcase model.
- Name
- created_at
- Type
- timestamp
- Description
The timestamp of the showcase model creation (milliseconds).
- Name
- updated_at
- Type
- timestamp
- Description
The timestamp of the showcase model update (milliseconds).
Request
curl "https://api.meshy.ai/openapi/v1/showcases?page_size=10&sort_by=-created_at&search=car&format=glb" \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
{
"result": [
{
"id": "018a210d-8ba4-705c-b111-1f1776f7f578",
"result_id": "018a210d-8ba4-705c-b111-1f1776f7f578",
"model_url": "https://api.meshy.ai/v1/models/018a210d-8ba4-705c-b111-1f1776f7f578/model.glb",
"conversion_status": "success",
"community_url": "https://www.meshy.ai/showcase/018a210d-8ba4-705c-b111-1f1776f7f578",
"author": "John Doe",
"topology": "quad",
"name": "Car",
"object_prompt": "A car",
"categories": ["vehicle"],
"tags": ["car", "vehicle"],
"mode": "3d",
"created_at": 1717171717171,
"updated_at": 1717171717171
}
]
}